import type { BoundaryType } from '../types/config';
declare type AnimateParams = {
    boundaryType: BoundaryType;
    bounds: any;
    limitConnections: boolean;
    lineColors: any;
    lineMeshGeometry: any;
    linePositions: any;
    maxConnections: number;
    minDistance: number;
    particleCount: number;
    particlePositions: any;
    particlesData: any;
    pointCloudGeometry: any;
    showLines: boolean;
};
/**
 * Animates an array of particles and lines over a three dimensional space
 *
 * This function is meant to be called from the useRender render loop -- ran on each frame
 */
declare const animate: ({ boundaryType, bounds, limitConnections, lineColors, lineMeshGeometry, linePositions, maxConnections, minDistance, particleCount, particlePositions, particlesData, pointCloudGeometry, showLines, }: AnimateParams) => void;
export default animate;
