import { BufferGeometry, ShaderMaterial, Vector3 } from 'three';
import type { Dimension, Direction, Particles } from '../types/config';
declare type ComputeParticlesParams = {
    devicePixelRatio: number;
    dimension: Dimension;
    direction: Direction;
    particles: Particles;
    r: number;
    size: {
        height: number;
        width: number;
    };
    velocity: number;
};
declare type ComputeParticles = [
    pointCloudGeometry: BufferGeometry,
    pointMaterial: ShaderMaterial,
    particlesData: {
        numConnections: number;
        velocity: Vector3;
    }[],
    particlePositions: Float32Array,
    bounds: {
        xBounds: number;
        yBounds: number;
        zBounds: number;
    }
];
declare const computeParticles: ({ devicePixelRatio, dimension, direction, particles, r, size, velocity, }: ComputeParticlesParams) => ComputeParticles;
export default computeParticles;
