import type { ColorMode } from '../types/config';
declare type GetSolidLineVertexShaderParams = {
    color: string;
    colorMode: ColorMode;
};
/**
 * Generates a vertex shader for a connecting line in a particle system
 *
 * This shader uses the position of particles to determine their color
 * and change them as they move
 */
export declare const getLineVertexShader: ({ color, colorMode, }: GetSolidLineVertexShaderParams) => string;
declare type GetLineFragmentShaderParams = {
    transparency: number;
};
/**
 * Applies a color to a connecting line in a particle system
 */
export declare const getLineFragmentShader: ({ transparency, }: GetLineFragmentShaderParams) => string;
export {};
