import type { ColorMode, ParticleShape } from '../types/config';
declare type GetParticleVertexShaderParams = {
    color: string;
    colorMode: ColorMode;
    devicePixelRatio: number;
};
/**
 * Generates a vertex shader for a particle system
 *
 * This shader uses the position of particles to determine their color
 * and change them as they move
 */
export declare const getParticleVertexShader: ({ color, colorMode, devicePixelRatio, }: GetParticleVertexShaderParams) => string;
declare type GetParticleFragmentShader = {
    particleShape: ParticleShape;
    transparency: number;
};
/**
 * Applies a shape to each particle
 *
 * @param {String} particleShape Either 'circle' or 'square'
 * @param {Number} transparency The alpha channel rgba value for particles
 */
export declare const getParticleFragmentShader: ({ particleShape, transparency, }: GetParticleFragmentShader) => string;
export {};
