export declare type ColorMode = 'rainbow' | 'solid';
export declare type Dimension = '2D' | '3D';
export declare type ParticleShape = 'circle' | 'square';
export declare type BoundaryType = 'bounce' | 'passthru';
export declare type Particles = {
    boundingBox: 'canvas' | 'cube';
    color: string;
    colorMode: ColorMode;
    count: number;
    maxSize: number;
    minSize: number;
    shape: ParticleShape;
    transparency: number;
    visible: boolean;
};
export declare type Direction = {
    xMax: number;
    xMin: number;
    yMax: number;
    yMin: number;
    zMax: number;
    zMin: number;
};
export declare type Lines = {
    color: string;
    colorMode: ColorMode;
    limitConnections: boolean;
    maxConnections: number;
    minDistance: number;
    transparency: number;
    visible: boolean;
};
export declare type CameraControls = {
    autoRotate: boolean;
    autoRotateSpeed: number;
    dampingFactor: number;
    enableDamping: boolean;
    enableZoom: boolean;
    enabled: boolean;
    resetCameraFlag: boolean;
};
export declare type Config = {
    antialias?: boolean;
    boundaryType: BoundaryType;
    cameraControls?: CameraControls;
    dimension: Dimension;
    direction?: Direction;
    lines?: Lines;
    particles?: Particles;
    showCube: boolean;
    velocity: number;
};
